curl --request POST \
--url https://app.famulor.io/api/v1/dashboards/{id}/widgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"column_name": "<string>",
"compare_previous_period": true,
"table_columns": [
"<string>"
],
"assistant_id": "<string>",
"group_by": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"show_legend": true,
"show_values": true,
"description": "<string>",
"conditions": [
{
"column_ref": "<string>",
"operator": "equals",
"value": "<string>",
"value_json": "<unknown>"
}
],
"sort_order": 1,
"grid_w": 7,
"grid_h": 2
}
'import requests
url = "https://app.famulor.io/api/v1/dashboards/{id}/widgets"
payload = {
"widget_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"column_name": "<string>",
"compare_previous_period": True,
"table_columns": ["<string>"],
"assistant_id": "<string>",
"group_by": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"show_legend": True,
"show_values": True,
"description": "<string>",
"conditions": [
{
"column_ref": "<string>",
"operator": "equals",
"value": "<string>",
"value_json": "<unknown>"
}
],
"sort_order": 1,
"grid_w": 7,
"grid_h": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
widget_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
column_name: '<string>',
compare_previous_period: true,
table_columns: ['<string>'],
assistant_id: '<string>',
group_by: '<string>',
campaign_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
show_legend: true,
show_values: true,
description: '<string>',
conditions: [
{
column_ref: '<string>',
operator: 'equals',
value: '<string>',
value_json: '<unknown>'
}
],
sort_order: 1,
grid_w: 7,
grid_h: 2
})
};
fetch('https://app.famulor.io/api/v1/dashboards/{id}/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"compare_previous_period": true,
"table_columns": [
"<string>"
],
"show_legend": true,
"show_values": true,
"conditions": [
{
"column_ref": "<string>",
"operator": "equals",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"value": "<string>",
"value_json": "<unknown>",
"sort_order": 123
}
],
"dashboard_sort_order": 1,
"grid_w": 7,
"grid_h": 2,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"column_name": "<string>",
"assistant_id": "<string>",
"group_by": "<string>",
"campaign_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}
}{
"error": {
"code": "invalid_request",
"message": "\"to_number\" is required (E.164 format, e.g. +4930123456)."
}
}{
"error": {
"code": "unauthorized",
"message": "Invalid API key."
}
}{
"error": {
"code": "forbidden",
"message": "This API key is missing the required scope \"assistants:write\"."
}
}{
"error": {
"code": "not_found",
"message": "Assistant not found"
}
}{
"error": {
"code": "conflict",
"message": "Campaign is not running."
}
}Create or attach a dashboard widget
Create and attach a widget, or provide widget_id to attach an existing reusable widget. Required scope: dashboards:write or calls:write.
Authorizations
API key (fam_..., created under Settings → API Keys) or an OAuth 2.0 access token (fam_at_...). Keys can be restricted to scopes such as assistants:read, calls:write, campaigns:write, automations:read, dashboards:read, dashboards:write, leads:write, segments:write, phone_numbers:write, sip_trunks:write, knowledge:write, voices:read, billing:read, settings:write, platform:read, platform:write; a *:write scope implies the matching *:read. Automation and dashboard endpoints also accept the legacy calls:* scope. Keys without scope restrictions have full access.
Path Parameters
Dashboard ID.
Body
POST: provide widget_id to attach an existing reusable widget, or name to create one. PATCH: only provided fields change.
1 - 120statistic, chart, table calls, campaigns, assistants, phone_numbers, conversions, leads, knowledge_bases, bookings, tools, simulations count, sum, avg, max, min 7d, 14d, 30d, 90d 30auto, number, line, area, bar, stacked_bar, donut, pie, funnel, heatmap, table, leaderboard 20Show child attributes
Show child attributes
x >= 03 <= x <= 121 <= x <= 4Response
Created or attached widget.
Show child attributes
Show child attributes